%global unique_name eu.tiliado.WebRuntime

Name:           nuvola-app-deezer
Version:        2.7
Release:        7%{?dist}
Summary:        Deezer for Nuvola Player 3
License:        BSD
URL:            https://github.com/tiliado/nuvola-app-deezer
Source0:        https://github.com/tiliado/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        %{name}.metainfo.xml

BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires:  nuvolasdk >= 4.11.0
BuildRequires:  python3-six
Requires:       hicolor-icon-theme
Requires:       %{_bindir}/nuvola

BuildArch:      noarch

%description
Integration of Deezer into your linux desktop via Nuvola Player.

%prep
%setup -q


%build
./configure --prefix=%{_prefix}
%make_build


%install
%make_install DESTDIR=%{buildroot}

# Register as an application to be visible in the software center
mkdir -p %{buildroot}%{_datadir}/appdata
cp  %{SOURCE1} %{buildroot}%{_datadir}/appdata/%{name}.metainfo.xml

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/%{name}.metainfo.xml

%files
%doc CHANGELOG.md README.md
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/%{unique_name}AppDeezer.desktop
%{_datadir}/appdata/%{name}.metainfo.xml
%{_datadir}/metainfo/%{name}.metainfo.xml
%{_datadir}/icons/*/*/*/%{unique_name}AppDeezer.*
%dir %{_datadir}/nuvolaruntime/web_apps
%{_datadir}/nuvolaruntime/web_apps/deezer/
%{_datadir}/dbus-1/services/%{unique_name}AppDeezer.service


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.7-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu May 10 2018 Martin Gansser <martinkg@fedoraproject.org> - 2.7-6
- Rebuilt for new nuvolaruntime-4.11.0 and nuvolasdk-4.11.0

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 18 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.7-4
- Remove obsolete scriptlets

* Wed Oct 11 2017 Martin Gansser <martinkg@fedoraproject.org> - 2.7-3
- rebuild fix (BZ#1500656)

* Fri Aug 04 2017 Martin Gansser <martinkg@fedoraproject.org> - 2.7-2
- correct %%{name}.metainfo.xml

* Thu Aug 03 2017 Martin Gansser <martinkg@fedoraproject.org> - 2.7-1
- Update to 2.7

* Thu Jul 27 2017 Martin Gansser <martinkg@fedoraproject.org> - 2.6-2
- correct the extends/name-tag in %%{name}.metainfo.xml

* Sun Jul 02 2017 Martin Gansser <martinkg@fedoraproject.org> - 2.6-1
- Update to 2.6

* Sat Jan 21 2017 Martin Gansser <martinkg@fedoraproject.org> - 2.5-1
- initial build
